Bug 1633035 - [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings killed by SIGSEGV
Summary: [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a919c5eb7a97be22b223aacedc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 06:07 UTC by 1452311939
Modified: 2019-06-18 03:45 UTC (History)
3 users (show)

Fixed In Version: xfce4-settings-4.13.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 00:54:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.18 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: cgroup (331 bytes, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: core_backtrace (8.41 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: cpuinfo (978 bytes, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: dso_list (8.25 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: environ (1.46 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: exploitable (82 bytes, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: maps (53.42 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: mountinfo (3.24 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: open_fds (670 bytes, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-09-26 06:07 UTC, 1452311939
no flags Details

Description 1452311939 2018-09-26 06:07:17 UTC
Description of problem:
I just installed fedora 29 beta in vbox. I want set display resolution, so I clicked the Display item in application menu. Then the window just show and closed soon.

Version-Release number of selected component:
xfce4-settings-4.13.4-20.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=4f7875a7104847c294657d4716f29fc2;i=6a3;b=af5265f92e824ce99298b7a8224f098e;m=9a44ee2;t=576bfe097ced1;x=b3a787e0831443f4
kernel:         4.18.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 convert_xfce_output_info at main.c:1671
 #1 get_output_for_window at main.c:2744
 #2 select_current_output_from_dialog_position at main.c:2781
 #3 dialog_map_event_cb at main.c:2795
 #4 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:83
 #9 gtk_widget_event_internal at gtkwidget.c:7744
 #10 gtk_widget_event at gtkwidget.c:7314
 #11 gtk_main_do_event at gtkmain.c:1855
 #12 _gdk_event_emit at gdkevents.c:73
 #18 gtk_main at gtkmain.c:1323

Potential duplicate: bug 1347012

Comment 1 1452311939 2018-09-26 06:07:23 UTC
Created attachment 1487008 [details]
File: backtrace

Comment 2 1452311939 2018-09-26 06:07:24 UTC
Created attachment 1487009 [details]
File: cgroup

Comment 3 1452311939 2018-09-26 06:07:26 UTC
Created attachment 1487010 [details]
File: core_backtrace

Comment 4 1452311939 2018-09-26 06:07:28 UTC
Created attachment 1487011 [details]
File: cpuinfo

Comment 5 1452311939 2018-09-26 06:07:29 UTC
Created attachment 1487012 [details]
File: dso_list

Comment 6 1452311939 2018-09-26 06:07:31 UTC
Created attachment 1487013 [details]
File: environ

Comment 7 1452311939 2018-09-26 06:07:33 UTC
Created attachment 1487014 [details]
File: exploitable

Comment 8 1452311939 2018-09-26 06:07:35 UTC
Created attachment 1487015 [details]
File: limits

Comment 9 1452311939 2018-09-26 06:07:37 UTC
Created attachment 1487016 [details]
File: maps

Comment 10 1452311939 2018-09-26 06:07:38 UTC
Created attachment 1487017 [details]
File: mountinfo

Comment 11 1452311939 2018-09-26 06:07:40 UTC
Created attachment 1487018 [details]
File: open_fds

Comment 12 1452311939 2018-09-26 06:07:41 UTC
Created attachment 1487019 [details]
File: proc_pid_status

Comment 13 Mukundan Ragavan 2018-09-26 09:39:11 UTC
Were you able to set the display at all? Does this crash everytime?

Comment 14 1452311939 2018-09-26 09:50:56 UTC
(In reply to Mukundan Ragavan from comment #13)
> Were you able to set the display at all? Does this crash everytime?

I have run "dnf update", and crashes have disappeared.

It happend when I just finished system installation. Before I run "dnf update", it crashed everytime.

Comment 15 glenbassham4 2019-03-29 01:08:15 UTC
Similar problem has been detected:

run /usr/bin/xfce4-display-settings in a terminal
A crash happens immediately 
Segmentation fault (core dumped)

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=dd31b2449fc64674aad203bedb50e1a4;i=7f0;b=c7ebbbb18b2149888a9731d1c3904ff6;m=15ea76162;t=58530e7aa0323;x=ed1deda7139f5f57
kernel:         5.0.3-200.fc29.x86_64
package:        xfce4-settings-4.13.5-2.fc29
reason:         xfce4-display-settings killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora Update System 2019-05-18 13:49:44 UTC
xfce4-settings-4.13.6-1.fc30 xfce4-appfinder-4.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 17 Fedora Update System 2019-05-19 00:51:11 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 18 Fedora Update System 2019-06-18 00:54:52 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-06-18 03:45:45 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.